define([
    'Magento_Ui/js/form/element/abstract',
    'mage/url',
    'ko',
    'jquery',
    'jquery/ui',
    'mage/validation'
], function (Abstract, url, ko, $, ui, validation) {
    'use strict';

    ko.bindingHandlers.resellerAutoComplete = {

        init: function (element, valueAccessor) {
            var settings = valueAccessor();

            var selectedReseller = settings.selected;
            var options = settings.options;

            var updateElementValueWithLabel = function (event, ui) {
                event.preventDefault();
                $(element).val(ui.item.label);
                $.validator.validateSingleElement($(element));
                if(typeof ui.item !== "undefined") {
                    selectedReseller(ui.item.value);
                }
            };

            $(element).autocomplete({
                source: options,
                position: { my : "left top", at: "left bottom", collision: "flip"},
                messages: {
                    noResults: '',
                    results: function() {
                        return ''
                    }
                },
                select: function (event, ui) {
                    updateElementValueWithLabel(event, ui)
                }
            });
        }
    };

    return Abstract.extend({
        defaults: {
            elementTmpl: 'FiloBlu_Cegid/field/reseller'
        },
        selectedReseller: ko.observable(''),
        getResellers: function() {
            return [ { label: "VALENTINA", value: "CITD2100000000883" }, { label: "ANDREA", value: "ITD210068" }, { label: "GIULIA", value: "ITD210070" }]
        }
    });
});